## org.apache.myfaces.taglib.html.ext
Class HtmlSelectOneListboxTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlInputTagBase
                      org.apache.myfaces.taglib.html.HtmlSelectListboxTagBase
                          org.apache.myfaces.taglib.html.ext.HtmlSelectOneListboxTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlSelectOneListboxTag
extends HtmlSelectListboxTagBase

Version:
  $Revision: 170212 $ $Date: 2005-05-15 12:58:15 +0200 (Sun, 15 May 2005) $
Author:
  Martin Marinschek (latest modification by $Author: mmarinschek $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlSelectOneListboxTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setDisplayValueOnly(java.lang.String displayValueOnly)`
`void` `setDisplayValueOnlyStyle(java.lang.String displayValueOnlyStyle)`
`void` `setDisplayValueOnlyStyleClass(java.lang.String displayValueOnlyStyleClass)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlSelectListboxTagBase
`setDatafld, setDataformatas, setDatasrc, setDisabled, setDisabledClass, setEnabledClass, setName, setOnblur, setOnchange, setOnfocus, setOnselect, setSize, setTabindex`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputTagBase
`setImmediate, setReadonly, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlSelectOneListboxTag

    public HtmlSelectOneListboxTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlSelectListboxTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlSelectListboxTagBase`

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

### setDisplayValueOnly

    public void setDisplayValueOnly(java.lang.String displayValueOnly)

### setDisplayValueOnlyStyle

    public void setDisplayValueOnlyStyle(java.lang.String displayValueOnlyStyle)

### setDisplayValueOnlyStyleClass

    public void setDisplayValueOnlyStyleClass(java.lang.String displayValueOnlyStyleClass)